************************************************************************
* TESTOVACIA UTILITKA 
************************************************************************ 

#include "dcdialog.ch"
#include "foxdbe.ch"
#include "cdxdbe.ch"
#include "dbfdbe.ch"
#include "dcmsg.ch"
#include "NLS.ch"
#include "Appevent.ch"

#define VK_END            xbeK_END

#IFDEF __XPP__
#ELSE
   REQUEST HB_GT_WIN_DEFAULT           // harbour Console
#ENDIF


*****************
Procedure Main()
*****************
Local cCakajtlv

aStructure := { { "Image_name", "C", 250, 0 },;    
                   { "Short_name", "C", 250, 0 },;    
                   { "Xcentr"    , "N",  19, 7 },;    
                   { "Ycentr"    , "N",  19, 7 },;    
                   { "Array"     , "M",  10, 0 } }    
   DbCreate( "Image.dbf", aStructure, "FOXCDX" )



return nil


****************************
PROCEDURE DbeSys()
****************************
_LoadDbes()

RETURN


****************************************
STATIC FUNCTION _LoadDbes()
****************************************
LOCAL i, aDbeList := DbeList(), cDbeList := ''

*qqq 4.5.2016 znova pokusym dopam a testujem toto, ale nem to vplyv na triedenie VL

* !!! POZOR !!! , ak je SET COLLATION TO SYSTEM tak to ma veky vplyv na porovnavanie reazcov v celom programe !!!
* vtedy je porovnavanie =<>... case insensitive
* preto musm poui SET COLLATION TO GERMAN, alebo in

*SET COLLATION TO SYSTEM        // NEDVA !!!

SET COLLATION TO GERMAN        // v CDX sa objav text GERMAN                                // TOTO SKڊAM kvli RLC5D kdovaniu a porovnvaniu reazcov
                                                                                // lebo ak je SYSTEM,tak je porovnanie case insensitive
DbSetNullValue(.F.)

*SET COLLATION TO ASCII                // v CDX sa neobjav iadny text, teda ani SWEFIN
*SET COLLATION TO AMERICAN
* ak nedm ni                        // v CDX sa objav GENERAL

*qqq 4.5.2016 aj toto dvam poda PRAHA, ale nem vplyv na triedenie

*qqq 13.10.2016 skam aktvne poda rady Bielik test indexov ale asi to nem vplyv na ni
*Set Optimize Off
*Set Rushmore Off
*Set SmartFilter Off

IF Valtype(aDbeList) = 'A'
  FOR i := 1 TO Len(aDbeList)
    cDbeList += aDbeList[i,1] + ','
  NEXT
ENDIF

aDbeList := cDbeList

  IF !('DBFDBE'$aDbeList) .AND. !DbeLoad( "DBFDBE",.T.)
     DC_WinAlert( "Database-Engine DBFDBE not loaded" )
  ENDIF
  IF !('NTXDBE'$aDbeList) .AND. !DbeLoad( "NTXDBE",.T.)
     DC_WinAlert( "Database-Engine NTXDBE not loaded"  )
  ENDIF
  IF !('DBFNTX'$aDbeList) .AND. !DbeBuild( "DBFNTX", "DBFDBE", "NTXDBE" )
     DC_WinAlert( "DBFNTX Database-Engine, Could not build engine" )
  ENDIF
  IF !('CDXDBE'$aDbeList) .AND. !DbeLoad( "CDXDBE",.T.)
     DC_WinAlert( "Database-Engine CDXDBE not loaded" )
  ENDIF
  IF !('DBFCDX'$aDbeList) .AND. !DbeBuild( "DBFCDX", "DBFDBE", "CDXDBE" )
     DC_WinAlert( "DBFCDX Database-Engine, Could not build engine" )
  ENDIF
  IF !('FOXDBE'$aDbeList) .AND. !DbeLoad( "FOXDBE",.T.)
     DC_WinAlert( "Database-Engine FOXDBE not loaded" )
  ENDIF
  IF !('FOXCDX'$aDbeList) .AND. !DbeBuild( "FOXCDX", "FOXDBE", "CDXDBE" )
     DC_WinAlert( "FOXCDX Database-Engine, Could not build engine" )
  ENDIF
  IF !('DELDBE'$aDbeList) .AND. !DbeLoad( "DELDBE",.T.)
     DC_WinAlert( "Database-Engine DELDBE not loaded" )
  ENDIF

DbeSetDefault( "FOXCDX" )        // toto bolo
*DbeSetDefault( "DBFCDX" )        // toto iba som skal, ale bez rozdielu

*qqq 4.5.2016 toto skam preddefinova u tu, hoci vetko preindexujem, ale nem vplyv
* ale vetko blokujem, lebo som nezistil eby to malo na dao vplyv

* toto mm z cdxdbe.ch
* sksim toto
*DbeInfo(COMPONENT_ORDER,CDXDBE_MODE,CDXDBE_VFOXPRO)
*DbeInfo(COMPONENT_ORDER,CDXDBE_MODE,CDXDBE_FOXPRO2X)        // toto zhavaruje, lebo index je VFP

*DBEINFO(COMPONENT_DATA,FOXDBE_CREATE_2X,TRUE)

* toto mm z foxdbe.ch
*DBEINFO(COMPONENT_DATA,FOXDBE_LOCKMODE,FOXDBE_LOCKMODE_AUTO)
*DBEINFO(COMPONENT_DATA,FOXDBE_LOCKMODE,FOXDBE_LOCKMODE_2X)
*DBEINFO(COMPONENT_DATA,FOXDBE_LOCKMODE,FOXDBE_LOCKMODE_VISUAL)
*DBEINFO(COMPONENT_DATA,FOXDBE_LOCKMODE,FOXDBE_CLIPPER)

* neviem nao to je, blokujem, je to z fora niektor prspevok
*DBEINFO( COMPONENT_DATA, FOXDBE_LOCKRETRY, 100000 )
*DBEINFO( COMPONENT_ORDER, CDXDBE_LOCKRETRY, 100000 )

*qqq 13.10.2016 doplnen poda rady Bielik

* sksim zmeni z 20 na 0
*DbeInfo(COMPONENT_DATA,  FOXDBE_LIFETIME,       0  )    && bielik
DbeInfo(COMPONENT_DATA,  FOXDBE_LIFETIME,       20 )    && bielik

*qqq implementcia funkcie od Janka, tto iba napln collation tabuku a predvol COLLAT_USER
* ale problm kompatibility z SLOVAK CDX z WISKN pretrvva
*Ritrajv()
*SetColl()

*SetSystemCollation()        // toto skam, z internetu zdroj ale je to len asi in verzia ako upravi collation

RETURN .t.


